DevExtreme jQuery/JS - Handle the Value Change Event

To process new RangeSlider values, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the widget, assign it to the onValueChanged option when you configure the widget.

JavaScript
  • $(function() {
  • $("#rangeSliderContainer").dxRangeSlider({
  • onValueChanged: function (e) {
  • const newStartValue = e.start;
  • const newEndValue = e.end;
  • // Event handling commands go here
  • }
  • });
  • });

If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.

JavaScript
  • const valueChangedHandler1 = function (e) {
  • const newStartValue = e.start;
  • const newEndValue = e.end;
  • // First handler of the "valueChanged" event
  • };
  •  
  • const valueChangedHandler2 = function (e) {
  • const newStartValue = e.start;
  • const newEndValue = e.end;
  • // Second handler of the "valueChanged" event
  • };
  •  
  • $("#rangeSliderContainer").dxRangeSlider("instance")
  • .on("valueChanged", valueChangedHandler1)
  • .on("valueChanged", valueChangedHandler2);
See Also

DevExtreme React - Handle the Value Change Event

To process new RangeSlider values, you need to handle the value change event. If the handling function is not going to be changed during the lifetime of the widget, assign it to the onValueChanged option when you configure the widget.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { RangeSlider } from 'devextreme-react/range-slider';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.state = {
  • startValue: 20,
  • endValue: 60
  • };
  • this.handleValueChange = this.handleValueChange.bind(this);
  • }
  •  
  • handleValueChange(e) {
  • const newStartValue = e.start;
  • const newEndValue = e.end;
  • // Event handling commands go here
  •  
  • this.setState({
  • startValue: newStartValue,
  • endValue: newEndValue
  • });
  • }
  •  
  • render() {
  • return (
  • <RangeSlider
  • start={this.state.startValue}
  • end={this.state.endValue}
  • onValueChanged={this.handleValueChange}
  • />
  • );
  • }
  • }
  •  
  • export default App;

If you are going to change event handlers at runtime, or if you need to attach several handlers to the value change event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.

JavaScript
  • const valueChangedHandler1 = function (e) {
  • const newStartValue = e.start;
  • const newEndValue = e.end;
  • // First handler of the "valueChanged" event
  • };
  •  
  • const valueChangedHandler2 = function (e) {
  • const newStartValue = e.start;
  • const newEndValue = e.end;
  • // Second handler of the "valueChanged" event
  • };
  •  
  • $("#rangeSliderContainer").dxRangeSlider("instance")
  • .on("valueChanged", valueChangedHandler1)
  • .on("valueChanged", valueChangedHandler2);
See Also